* {
    box-sizing: border-box;
    transition: 0.3s ;
}
body {
    background-color: #F8F6F1; 
    font-family: Arial, Helvetica, sans-serif; 
    line-height: 1.6; 
    margin: 0px;
}
[class*="colx"] {
    box-sizing: border-box;
}
.colx1 { width: 8.33%; }
.colx2 { width: 16.66%; }
.colx3 { width: 25%; }
.colx4 { width: 33.33%; }
.colx5 { width: 41.66%; }
.colx6 { width: 50%; }
.colx7 { width: 58.33%; }
.colx8 { width: 66.66%; }
.colx9 { width: 75%; }
.colx10 { width: 83.33%; }
.colx11 { width: 91.66%; }
.colx12 { width: 100%; }
#khungtc {
    border:2px solid #1D3023; 
    background-color: #FFF; 
    position: relative;
    width: 80%;
    margin: 0px auto; 
}
#t-head {
    background-color: #1D3023; 
    width: 100%;
}
#t-head p {
    color: white; 
    margin: 0px; 
    padding: 5px 0px 5px 20px; 
    font-size: 13px; 
    font-weight: bold;
}
#b-head {
    display: flex; 
    width: 100%;
}
#logo {
    margin: 5px 0px 5px 60px; 
    position: relative; 
    flex: 1;
}
#logo img {
    height: 105px; 
    width: auto;
}
#search {
    margin: 45px 20px 25px 30px; 
    flex: 3;
}
#search input {
    width: 390px; 
    border: 2px solid #1D3023; 
    border-right: none; 
    border-radius: 10px 0px 0px 10px; 
    padding: 7px 20px 7px 30px; 
    font-size: 15px; 
    position: relative;
}
#search button {
    color: white; 
    background-color: #1D3023; 
    padding: 7px 20px 7px 30px; 
    border-radius: 0px 10px 10px 0px; 
    font-size: 15px !important; 
    border-left: none; 
    position: absolute;
}
#search button:hover {
    cursor: pointer;
    background-color: #4b7d59 !important;
}
#cart {
    margin: 5px 0px 5px 10px; 
    padding-left: 30px; 
    position: relative; 
    flex: 1
}
#cart a {
    text-decoration: none; 
    color: #1D3023;
}
#cart img {
    height: 75px; 
    width: auto;
}
#cart p {
    margin: 0px; 
    font-weight: bold;
}
#bc {
    width: 100%; 
    margin-top: 10px; 
    margin-bottom: 30px; 
    position: relative;
    top: 0px;
}
#menu {
    background-color: #1D3023; 
    width: 100%;
}
#menu ul {
    list-style: none; 
    display: flex; 
    margin-top: 0px;
}
.menuct {
    flex: 1; 
    padding: 5px; 
    text-align: center;
}
.menuct:hover {
    cursor: pointer;
    background-color: #2c4935c7;
    box-shadow: 0px 2px 5px #fefefe9a;
}
.menuct a {
    text-decoration: none; 
    color: white;
}
#menucanhan {
    flex: 4.5; 
    text-align: right; 
    padding: 5px 30px 5px 5px;
}
#menucanhan a:hover {
    cursor: pointer;
    box-shadow: 0px 2px 7px #e6e6e69a;
}
#menucanhan a {
    text-decoration: none; 
    color:  rgb(0, 0, 0); 
    background-color: #FFF; 
    border-radius: 15px; 
    padding: 3px;
}
#menucanhan img {
    width: auto; 
    height: 15px;
}
#content {
    width: 90%; 
    display: flex; 
    margin: 30px auto; 
    margin-bottom: 10px;
    gap: 50px;
    border: 2px solid #1D3023;
    padding: 7px;
    border-radius: 5px;
    background-color: #fffbf3;
}
#left {
    border: 2px solid #1D3023; 
    text-align: center; 
    flex: 1; 
    border-radius: 5px;
    background-color: #fff7e2;
    box-shadow: 0px 2px 3px 0px black; 
}
#left img {
    width: 75%; 
    height: 70%; 
    margin: 20px auto;
    box-shadow: 0px 2px 3px 0px black; 
    border: 1px solid #ffb83485;
    border-radius: 2px;
}
#left button {
    color: white ;
    background-color: #2c4935;
    box-shadow: 0px 2px 3px 0px black; 
    border-radius: 5px; 
    padding: 15px 30px; 
    font-weight: bold; 
    margin-bottom: 20px;
}
#left button:hover {
    background-color: #518660;
    cursor: pointer;
}
#right {
    flex: 2.5;
}
#rpr h1 {
    margin: 25px 11px 25px 0px;
    color: #2C3E50;
    padding: 10px 50px;
}
.tenxb {
    font-size: 17px; 
    color: #2C3E50; 
    font-weight: bold; 
    margin: 10px 5px;
}
#sl {
    display: flex; 
    width: 45%; 
    text-align: center;
}
#slsp {
    flex: 2.5; 
    text-align: left !important;
    margin-right: 10px;
    margin-left: 5px;
    font-weight: bold; 
    color: #2C3E50; 
    font-size: 17px; 
}
.csl {
    flex: 1; 
    border: 1px solid black; 
    padding: 5px;
}
#spbd {
    background-color: #d1d1d191;
    color: #959595;
    cursor: default;
}
#tsp:hover, #gsp:hover {
    cursor: pointer;
}
#gia {
    color: #239a70;
    font-weight: bold;
    font-size: 25px;
    margin: 5px auto;
}
#mota {
    width: 90%; 
    margin: 10px auto; 
    gap: 50px;
    border: 2px solid #1D3023;
    padding: 7px;
    border-radius: 5px;
    background-color: #fffbf3;
}
#mota h2 {
    color: #1D3023;
    margin: 30px 20px 30px 20px;
}
#mota h3 {
    color: #1D3023;
    margin: 20px 15px 20px 15px;
}
.gt {
    text-align: justify;
    line-height: 1.6;
    font-size: 16;
    font-weight: 300;
    margin: 0px 15px 5px 15px;
}
#decu {
    width: 90%; 
    margin: 30px auto; 
    margin-top: 10px;
    border: 2px solid #1D3023;
    padding: 7px;
    border-radius: 5px;
    background-color: #fffbf3;
}
.product {
    display: flex; 
    gap: 15px; 
    text-align: center; 
    margin: 15px auto 0px auto;
    width: 95%;
}
.manhinhdt {
    gap: 15px; 
    text-align: center;
    flex: 1;
    display: flex;
}
.sp {
    flex: 1; 
    border: 1px solid #1D3023; 
    border-radius: 10px; 
    box-shadow: 0px 3px 7px #9292927a;
    width: 100px;
    background-color: white;
}
.sp:hover {
    cursor: pointer;
    border: 1px solid #ffdea1; 
    box-shadow: 2px 7px 15px #727272a1;
    transform: scale(1.02);
}
.sp img {
    width: 100px; 
    height: 153px; 
    border: 1px solid #ffdea1; 
    border-radius: 3px;
    margin-top: 12px; 
}
.tensach {
    margin: 3px 7px; 
    font-weight: bold; 
    font-size: 14px;
}
#footer {
    width: 100%; 
    background-color: #1D3023;
}
#fc {
    width: 85%; 
    margin: 0px auto; 
    display: flex; 
    gap: 30px;
}
.cotfc {
    flex: 1;
}
.cotfc h3 {
    color: #ffb834; 
    border-left: 3px solid #f0ae35; 
    padding-left: 10px;
}
.cotfc p {
    color: white;
}
.cotfc ul {
    list-style: none; 
    padding-left: 0px;
}
.cotfc ul li {
    padding-bottom: 10px;
}
.fct {
    color: white; 
    text-decoration: none;
}
.fct:hover {
    text-decoration: underline; 
    color: rgb(255, 225, 156);
}
#banquyen {
    color: white; 
    background-color: #2c4935; 
    font-size: 13px; 
    text-align: center; 
    padding: 10px;
}
#boxchat {
    border-radius: 100%;
    border: 2px solid #1D3023;
    width: 70px;
    height: auto;
    background-color: #FFF;
    position: fixed;
    bottom: 30px;
    right: 35px;
    box-shadow: 0px 3px 10px #b4b4b4c5;
}
#boxchat:hover {
    cursor: pointer;
}
#boxchat img {
    width: 50px;
    height: auto;
    margin: 10px 20px 3px 8px;
}
@media (max-width: 1000px) {
    #khungtc { 
        width: 95%; 
    }
    #search input {
        width: 300px !important;
    }
    .sp { 
        width: 33.33% !important; 
    }
    #left {
        flex: 1.5; 
    }
    #sl {
        width: 45% !important;
    }
    #slsp {
        flex: 7.5 !important;
    }
    .manhinhdt {
        gap: 10px;
    }
    .cotfc { 
        width: 50%; 
        margin-bottom: 20px; 
    }
}
@media (max-width: 800px) {
    #khungtc {
        width: 100% !important;
    }
    #search { 
        width: 100% !important; 
        margin-left: 80px; 
    }
    #search input { 
        width: 270px !important; 
    }
    #logo {
        display: none;
    }
    #cart {
        display: none;
    }
    #menu { 
        width: 100%; 
    }
    #menucanhan { 
        flex: 1.5 !important;
    }
    #content, #mota, #decu {
        width: 100%;
    } 
    .manhinhdt {
        gap: 5px;
    }
    #footer {
        padding-top: 25px;
    }
    #fc {
        display: block;
    }
    .cotfc { 
        flex: none !important;
        width: 100% !important;
        margin-top: 30px !important;
    }
    #boxchat {
        display: none;
    }
}
@media (max-width: 700px) {
    #left {
        flex: 2.5 !important; 
    }
    #gia {
        font-size: 20px;
    }
    sl {
        width: 100% !important;
    }
    #slsp {
        flex: none !important;
    }
    #mota {
        position: relative;
    }
    .product {
        gap: 5px; 
        width: 98%;
    }
    #decu {
        display: none !important;
    }
}